<template>
  <div :style="backgroundColor" class="container">
    <h1>Click the button to change the background</h1>
    <button @click="changeBackground">the button</button>
  </div>
</template>

<script>
export default {
  data() {
    return {
      backgroundColor: "background: white;",
    };
  },
  methods: {
    changeBackground() {
      if (this.backgroundColor == "background: white;") {
        this.backgroundColor = "background: red;";
      } else {
        this.backgroundColor = "background: white;";
      }
    },
  },
};
</script>

<style>
.container {
  width: 100%;
  height: 100%;
  padding: 30px;
}
h1 {
  width: 50%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 50px;
}
button {
  padding: 20px 100px;
  border-radius: none;
  border: none;
  text-transform: uppercase;
  outline: none;
  background: pink;
  transition: all 0.1s ease-in;
  cursor: pointer;
}
button:hover {
  transform: scale(1.05);
  transform-origin: center;
}
</style>
